Skip to Content
avatar image
Former Member

Java mapping - java.lang.UnsupportedClassVersionError

Hello gurus,

I'm new to java mapping and trying to test a simple one. When I try to test my mapping in an operational mapping, I get this error.

I used aii_map_api.jar, also imported it to ESR and developed the mapping as we used to in PI 7.0, but trying to run it in PI 7.1. I do not know what has changed, links to java mapping in PI 7.1 will also be appreciated.

Regards,

Gökhan

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • Best Answer
    Apr 30, 2009 at 03:55 PM

    Make sure that you use JDK 1.5 and not 1.6 for compiling.

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member
      PayloadToXMLField

      Check for the declaration of this java class....also you need to include both .java and .class files in ESR...don't think there is any difference in the execution of java mapping in 7.0 and 7.1

      Just search through SDN and check how the classes are defined in the code samples provided...

      Since you are using eclipse check if the below thread helps you:

      java-mapping-error

      For some JAVA mapping:

      /people/sankararao.bhatta/blog/2008/07/27/java-mapping-secrets-revealed

      /people/prasad.ulagappan2/blog/2005/06/29/java-mapping-part-ii

      http://help.sap.com/saphelp_nwpi71/helpdata/en/e2/e13fcd80fe47768df001a558ed10b6/frameset.htm

      further search on SDN will give you a lot more exposure to java mapping

      Regards,

      Abhishek.

  • avatar image
    Former Member
    May 04, 2009 at 06:25 AM
    Add comment
    10|10000 characters needed characters exceeded

  • avatar image
    Former Member
    Apr 30, 2009 at 03:37 PM
    Add comment
    10|10000 characters needed characters exceeded